Name:                javaparser
Version:             3.3.5
Release:             1
Summary:             Java 1 to 9 Parser and Abstract Syntax Tree for Java
License:             LGPLv3+ or ASL 2.0
URL:                 http://javaparser.org
Source0:             https://github.com/javaparser/javaparser/archive/%{name}-parent-%{version}.tar.gz
BuildRequires:       maven-local mvn(biz.aQute.bnd:bnd-maven-plugin) mvn(net.java.dev.javacc:javacc)
BuildRequires:       mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:       mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildArch:           noarch
%description
This package contains a Java 1 to 9 Parser with AST generation and
visitor support. The AST records the source code structure, javadoc
and comments. It is also possible to change the AST nodes or create new
ones to modify the source code.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
sed -i 's/\r//' readme.md
%pom_remove_plugin :animal-sniffer-maven-plugin javaparser-core
%pom_remove_plugin :maven-enforcer-plugin javaparser-core
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :coveralls-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin . javaparser-testing
%mvn_alias :javaparser-core com.google.code.javaparser:javaparser
sed -i \
  -e 's/ph-javacc-maven-plugin/javacc-maven-plugin/' \
  -e 's/com.helger.maven/org.codehaus.mojo/' \
  javaparser-core/pom.xml
%pom_remove_plugin :templating-maven-plugin javaparser-core
%pom_disable_module javaparser-testing
%mvn_package ":javaparser-core-generators" __noinstall
%mvn_package ":javaparser-metamodel-generator" __noinstall
%mvn_package ":javaparser-testing" __noinstall

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc readme.md changelog.md
%license LICENSE LICENSE.APACHE LICENSE.GPL LICENSE.LGPL

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE.APACHE LICENSE.GPL LICENSE.LGPL

%changelog
* Sat Aug 1 2020 Jeffery.Gao <gaojianxing@huawei.com> - 3.3.5-1
- Package init
